// Code generated by protoc-gen-go. DO NOT EDIT.
// source: get.proto

package types

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type GetResponse struct {
	Res                  []*CreateRequest `protobuf:"bytes,1,rep,name=res,proto3" json:"res,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *GetResponse) Reset()         { *m = GetResponse{} }
func (m *GetResponse) String() string { return proto.CompactTextString(m) }
func (*GetResponse) ProtoMessage()    {}
func (*GetResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_21b2a6be0e6d8388, []int{0}
}

func (m *GetResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetResponse.Unmarshal(m, b)
}
func (m *GetResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetResponse.Marshal(b, m, deterministic)
}
func (m *GetResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetResponse.Merge(m, src)
}
func (m *GetResponse) XXX_Size() int {
	return xxx_messageInfo_GetResponse.Size(m)
}
func (m *GetResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetResponse proto.InternalMessageInfo

func (m *GetResponse) GetRes() []*CreateRequest {
	if m != nil {
		return m.Res
	}
	return nil
}

type GetRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetRequest) Reset()         { *m = GetRequest{} }
func (m *GetRequest) String() string { return proto.CompactTextString(m) }
func (*GetRequest) ProtoMessage()    {}
func (*GetRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_21b2a6be0e6d8388, []int{1}
}

func (m *GetRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetRequest.Unmarshal(m, b)
}
func (m *GetRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetRequest.Marshal(b, m, deterministic)
}
func (m *GetRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetRequest.Merge(m, src)
}
func (m *GetRequest) XXX_Size() int {
	return xxx_messageInfo_GetRequest.Size(m)
}
func (m *GetRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetRequest proto.InternalMessageInfo

func init() {
	proto.RegisterType((*GetResponse)(nil), "v1.GetResponse")
	proto.RegisterType((*GetRequest)(nil), "v1.GetRequest")
}

func init() {
	proto.RegisterFile("get.proto", fileDescriptor_21b2a6be0e6d8388)
}

var fileDescriptor_21b2a6be0e6d8388 = []byte{
	// 187 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x44, 0x8e, 0xc1, 0x0a, 0x82, 0x40,
	0x10, 0x86, 0x29, 0x21, 0x68, 0x95, 0x24, 0x4f, 0xe1, 0x29, 0xec, 0xd2, 0xc5, 0x35, 0xb7, 0x17,
	0x88, 0x3a, 0x48, 0x57, 0x85, 0x0e, 0xdd, 0xd6, 0x65, 0x10, 0x61, 0x75, 0xb7, 0xdd, 0x51, 0xe8,
	0xed, 0xc3, 0x95, 0xea, 0x36, 0xdf, 0x37, 0xf3, 0xcf, 0x0c, 0x59, 0x37, 0x80, 0x54, 0x1b, 0x85,
	0x2a, 0x5a, 0x8e, 0x79, 0x1c, 0x08, 0x03, 0x1c, 0x61, 0x36, 0x09, 0x23, 0x7e, 0x01, 0x58, 0x82,
	0xd5, 0xaa, 0xb7, 0x10, 0x1d, 0x88, 0x67, 0xc0, 0xee, 0x16, 0x7b, 0xef, 0xe8, 0xb3, 0x2d, 0x1d,
	0x73, 0x7a, 0x73, 0xd3, 0x25, 0xbc, 0x06, 0xb0, 0x58, 0x4e, 0xdd, 0x24, 0x20, 0xc4, 0x65, 0x9c,
	0x62, 0x17, 0x47, 0x15, 0x98, 0xb1, 0x15, 0x10, 0x31, 0x12, 0x16, 0x80, 0x0f, 0x2e, 0x07, 0xb8,
	0xf7, 0x95, 0x9c, 0xd4, 0x66, 0x5a, 0xf3, 0x0f, 0xc4, 0xe1, 0x8f, 0xe7, 0xa3, 0xd7, 0xd3, 0x93,
	0x36, 0x2d, 0x4a, 0x5e, 0x53, 0xa1, 0xba, 0xcc, 0xf2, 0x4e, 0x4b, 0x48, 0x1b, 0xa3, 0x45, 0xe6,
	0x7e, 0xb4, 0x19, 0x72, 0x9d, 0x7e, 0xcb, 0xb7, 0x06, 0x5b, 0xaf, 0x1c, 0x9d, 0x3f, 0x01, 0x00,
	0x00, 0xff, 0xff, 0x04, 0x52, 0xcb, 0xb3, 0xdb, 0x00, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// GetServiceClient is the client API for GetService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type GetServiceClient interface {
	GetValueInSlice(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error)
}

type getServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewGetServiceClient(cc grpc.ClientConnInterface) GetServiceClient {
	return &getServiceClient{cc}
}

func (c *getServiceClient) GetValueInSlice(ctx context.Context, in *GetRequest, opts ...grpc.CallOption) (*GetResponse, error) {
	out := new(GetResponse)
	err := c.cc.Invoke(ctx, "/v1.GetService/GetValueInSlice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// GetServiceServer is the server API for GetService service.
type GetServiceServer interface {
	GetValueInSlice(context.Context, *GetRequest) (*GetResponse, error)
}

// UnimplementedGetServiceServer can be embedded to have forward compatible implementations.
type UnimplementedGetServiceServer struct {
}

func (*UnimplementedGetServiceServer) GetValueInSlice(ctx context.Context, req *GetRequest) (*GetResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetValueInSlice not implemented")
}

func RegisterGetServiceServer(s *grpc.Server, srv GetServiceServer) {
	s.RegisterService(&_GetService_serviceDesc, srv)
}

func _GetService_GetValueInSlice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GetServiceServer).GetValueInSlice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/v1.GetService/GetValueInSlice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GetServiceServer).GetValueInSlice(ctx, req.(*GetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _GetService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "v1.GetService",
	HandlerType: (*GetServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetValueInSlice",
			Handler:    _GetService_GetValueInSlice_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "get.proto",
}
